'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema')

class BookSchema extends Schema {
  up() {
    this.create('books', (table) => {
      table.increments()
      table.bigInteger('user_id');
      table.string('title', 80).notNullable();
      table.integer('pages').notNullable();
      table.string('book_folder').notNullable();
      table.boolean('ltr').default(true);
      table.timestamps()
    })
  }

  down() {
    this.drop('books')
  }
}

module.exports = BookSchema
